#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './transferentryinterface.ui'
**
** Created: Mon May 1 06:33:43 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "transferentryinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <ksqueezedtextlabel.h>
#include <kprogress.h>
#include <kurllabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ksqueezedtextlabel.h"
#include "kprogress.h"
#include "kurllabel.h"

/*
 *  Constructs a TransferEntryInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TransferEntryInterface::TransferEntryInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TransferEntryInterface" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    TransferEntryInterfaceLayout = new QHBoxLayout( this, 11, 6, "TransferEntryInterfaceLayout"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    iconLabel_ = new QLabel( this, "iconLabel_" );
    iconLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, iconLabel_->sizePolicy().hasHeightForWidth() ) );
    iconLabel_->setMinimumSize( QSize( 48, 48 ) );
    iconLabel_->setMaximumSize( QSize( 48, 48 ) );
    layout8->addWidget( iconLabel_ );
    spacer2 = new QSpacerItem( 20, 0, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout8->addItem( spacer2 );
    TransferEntryInterfaceLayout->addLayout( layout8 );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    filenameLabel_ = new KSqueezedTextLabel( this, "filenameLabel_" );
    filenameLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)5, 0, 0, filenameLabel_->sizePolicy().hasHeightForWidth() ) );
    filenameLabel_->setMinimumSize( QSize( 200, 0 ) );
    layout9->addWidget( filenameLabel_ );

    progressBar_ = new KProgress( this, "progressBar_" );
    progressBar_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, progressBar_->sizePolicy().hasHeightForWidth() ) );
    progressBar_->setMinimumSize( QSize( 200, 0 ) );
    progressBar_->setMaximumSize( QSize( 32767, 18 ) );
    progressBar_->setTotalSteps( 1000 );
    layout9->addWidget( progressBar_ );

    statusLabel_ = new KSqueezedTextLabel( this, "statusLabel_" );
    statusLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)0, 0, 0, statusLabel_->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( statusLabel_ );
    spacer3 = new QSpacerItem( 20, 0, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout9->addItem( spacer3 );
    TransferEntryInterfaceLayout->addLayout( layout9 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    openLabel_ = new KURLLabel( this, "openLabel_" );
    openLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, openLabel_->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( openLabel_ );

    cancelLabel_ = new KURLLabel( this, "cancelLabel_" );
    cancelLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, cancelLabel_->sizePolicy().hasHeightForWidth() ) );
    layout7->addWidget( cancelLabel_ );
    spacer1 = new QSpacerItem( 20, 0, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout7->addItem( spacer1 );
    TransferEntryInterfaceLayout->addLayout( layout7 );
    languageChange();
    resize( QSize(334, 95).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( openLabel_, SIGNAL( leftClickedURL() ), this, SLOT( openClicked() ) );
    connect( cancelLabel_, SIGNAL( leftClickedURL() ), this, SLOT( cancelClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TransferEntryInterface::~TransferEntryInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TransferEntryInterface::languageChange()
{
    openLabel_->setText( tr2i18n( "Open" ) );
    openLabel_->setProperty( "url", QString::null );
    openLabel_->setTipText( QString::null );
    cancelLabel_->setText( tr2i18n( "Cancel" ) );
    cancelLabel_->setProperty( "url", QString::null );
}

void TransferEntryInterface::openClicked()
{
    qWarning( "TransferEntryInterface::openClicked(): Not implemented yet" );
}

void TransferEntryInterface::cancelClicked()
{
    qWarning( "TransferEntryInterface::cancelClicked(): Not implemented yet" );
}

#include "transferentryinterface.moc"
