#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './accountswidget.ui'
**
** Created: Mon May 1 06:33:53 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "accountswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kpassdlg.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpassdlg.h"

/*
 *  Constructs a AccountsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AccountsWidget::AccountsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AccountsWidget" );
    AccountsWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "AccountsWidgetLayout"); 

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    friendlyNameLabel_ = new QLabel( this, "friendlyNameLabel_" );

    layout3->addWidget( friendlyNameLabel_, 0, 0 );

    passwordEdit_ = new KPasswordEdit( this, "passwordEdit_" );

    layout3->addWidget( passwordEdit_, 5, 0 );
    Spacer1 = new QSpacerItem( 20, 130, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout3->addItem( Spacer1, 8, 0 );

    handleLabel_ = new QLabel( this, "handleLabel_" );

    layout3->addWidget( handleLabel_, 2, 0 );

    startInvisibleCheckBox_ = new QCheckBox( this, "startInvisibleCheckBox_" );

    layout3->addWidget( startInvisibleCheckBox_, 7, 0 );

    passwordLabel_ = new QLabel( this, "passwordLabel_" );

    layout3->addWidget( passwordLabel_, 4, 0 );

    friendlyNameEdit_ = new QLineEdit( this, "friendlyNameEdit_" );

    layout3->addWidget( friendlyNameEdit_, 1, 0 );

    handleEdit_ = new QLineEdit( this, "handleEdit_" );

    layout3->addWidget( handleEdit_, 3, 0 );

    autologinCheckBox_ = new QCheckBox( this, "autologinCheckBox_" );

    layout3->addWidget( autologinCheckBox_, 6, 0 );

    AccountsWidgetLayout->addLayout( layout3, 0, 0 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( friendlyNameEdit_, handleEdit_ );
    setTabOrder( handleEdit_, passwordEdit_ );
    setTabOrder( passwordEdit_, autologinCheckBox_ );
    setTabOrder( autologinCheckBox_, startInvisibleCheckBox_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AccountsWidget::~AccountsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AccountsWidget::languageChange()
{
    setCaption( tr2i18n( "Accounts" ) );
    friendlyNameLabel_->setText( tr2i18n( "Your friendly name:" ) );
    handleLabel_->setText( tr2i18n( "Your email address:" ) );
    startInvisibleCheckBox_->setText( tr2i18n( "Start in \"Invisible\" mode" ) );
    passwordLabel_->setText( tr2i18n( "Your password:" ) );
    autologinCheckBox_->setText( tr2i18n( "Login with this account automatically at start-up" ) );
}

#include "accountswidget.moc"
