#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './imagewidgetinterface.ui'
**
** Created: Mon May 1 06:33:53 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "imagewidgetinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kpushbutton.h"

/*
 *  Constructs a ImageWidgetInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ImageWidgetInterface::ImageWidgetInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ImageWidgetInterface" );
    ImageWidgetInterfaceLayout = new QVBoxLayout( this, 11, 6, "ImageWidgetInterfaceLayout"); 

    showImageCheckBox_ = new QCheckBox( this, "showImageCheckBox_" );
    ImageWidgetInterfaceLayout->addWidget( showImageCheckBox_ );
    spacer7 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    ImageWidgetInterfaceLayout->addItem( spacer7 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    layout16 = new QVBoxLayout( 0, 0, 6, "layout16"); 

    previewLabel_ = new QLabel( this, "previewLabel_" );
    previewLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, previewLabel_->sizePolicy().hasHeightForWidth() ) );
    previewLabel_->setMinimumSize( QSize( 75, 0 ) );
    layout16->addWidget( previewLabel_ );

    pictureLabel_ = new QLabel( this, "pictureLabel_" );
    pictureLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pictureLabel_->sizePolicy().hasHeightForWidth() ) );
    pictureLabel_->setMinimumSize( QSize( 96, 96 ) );
    pictureLabel_->setMaximumSize( QSize( 96, 96 ) );
    pictureLabel_->setFrameShape( QLabel::PopupPanel );
    pictureLabel_->setFrameShadow( QLabel::Raised );
    pictureLabel_->setScaledContents( TRUE );
    layout16->addWidget( pictureLabel_ );
    layout4->addLayout( layout16 );
    spacer9 = new QSpacerItem( 50, 20, QSizePolicy::Minimum, QSizePolicy::Minimum );
    layout4->addItem( spacer9 );

    layout14 = new QVBoxLayout( 0, 0, 6, "layout14"); 

    browseButton_ = new KPushButton( this, "browseButton_" );
    layout14->addWidget( browseButton_ );
    spacer10 = new QSpacerItem( 20, 100, QSizePolicy::Minimum, QSizePolicy::Maximum );
    layout14->addItem( spacer10 );
    layout4->addLayout( layout14 );
    spacer12 = new QSpacerItem( 207, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer12 );
    ImageWidgetInterfaceLayout->addLayout( layout4 );

    useDefaultCheckBox_ = new QCheckBox( this, "useDefaultCheckBox_" );
    ImageWidgetInterfaceLayout->addWidget( useDefaultCheckBox_ );
    spacer6 = new QSpacerItem( 20, 400, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ImageWidgetInterfaceLayout->addItem( spacer6 );
    languageChange();
    resize( QSize(417, 426).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( showImageCheckBox_, SIGNAL( toggled(bool) ), this, SLOT( showImageToggled(bool) ) );
    connect( browseButton_, SIGNAL( clicked() ), this, SLOT( selectImage() ) );
    connect( useDefaultCheckBox_, SIGNAL( toggled(bool) ), this, SLOT( useDefaultToggled(bool) ) );

    // tab order
    setTabOrder( showImageCheckBox_, browseButton_ );
    setTabOrder( browseButton_, useDefaultCheckBox_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ImageWidgetInterface::~ImageWidgetInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ImageWidgetInterface::languageChange()
{
    showImageCheckBox_->setText( tr2i18n( "&I want to show a display picture" ) );
    previewLabel_->setText( tr2i18n( "Preview:" ) );
    browseButton_->setText( tr2i18n( "&Browse..." ) );
    useDefaultCheckBox_->setText( tr2i18n( "&Use the default picture" ) );
}

void ImageWidgetInterface::useDefaultToggled(bool)
{
    qWarning( "ImageWidgetInterface::useDefaultToggled(bool): Not implemented yet" );
}

void ImageWidgetInterface::showImageToggled(bool)
{
    qWarning( "ImageWidgetInterface::showImageToggled(bool): Not implemented yet" );
}

void ImageWidgetInterface::selectImage()
{
    qWarning( "ImageWidgetInterface::selectImage(): Not implemented yet" );
}

#include "imagewidgetinterface.moc"
