#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './chatviewinterface.ui'
**
** Created: Mon May 1 06:33:37 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "chatviewinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <ktextbrowser.h>
#include <qtextedit.h>
#include <ksqueezedtextlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ktextbrowser.h"
#include "ksqueezedtextlabel.h"

/*
 *  Constructs a ChatViewInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ChatViewInterface::ChatViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ChatViewInterface" );
    ChatViewInterfaceLayout = new QGridLayout( this, 1, 1, 11, 6, "ChatViewInterfaceLayout"); 

    chatBrowser_ = new KTextBrowser( this, "chatBrowser_" );
    chatBrowser_->setNotifyClick( TRUE );

    ChatViewInterfaceLayout->addWidget( chatBrowser_, 0, 0 );

    layout3 = new QGridLayout( 0, 1, 1, 0, 6, "layout3"); 

    messageEdit_ = new QTextEdit( this, "messageEdit_" );
    messageEdit_->setMaximumSize( QSize( 32767, 80 ) );

    layout3->addMultiCellWidget( messageEdit_, 0, 1, 0, 0 );

    sendButton_ = new QPushButton( this, "sendButton_" );
    sendButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sendButton_->sizePolicy().hasHeightForWidth() ) );
    sendButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( sendButton_, 0, 1 );

    newLineButton_ = new QPushButton( this, "newLineButton_" );
    newLineButton_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, newLineButton_->sizePolicy().hasHeightForWidth() ) );
    newLineButton_->setMinimumSize( QSize( 70, 20 ) );

    layout3->addWidget( newLineButton_, 1, 1 );

    ChatViewInterfaceLayout->addLayout( layout3, 1, 0 );

    typingLabel_ = new KSqueezedTextLabel( this, "typingLabel_" );
    typingLabel_->setMinimumSize( QSize( 0, 20 ) );
    typingLabel_->setFrameShape( KSqueezedTextLabel::StyledPanel );
    typingLabel_->setFrameShadow( KSqueezedTextLabel::Sunken );
    typingLabel_->setMargin( 0 );

    ChatViewInterfaceLayout->addWidget( typingLabel_, 2, 0 );
    languageChange();
    resize( QSize(514, 511).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( sendButton_, SIGNAL( pressed() ), this, SLOT( sendClicked() ) );
    connect( newLineButton_, SIGNAL( pressed() ), this, SLOT( newLineClicked() ) );
    connect( messageEdit_, SIGNAL( textChanged() ), this, SLOT( messageTextChanged() ) );
    connect( messageEdit_, SIGNAL( returnPressed() ), this, SLOT( enterPressed() ) );
    connect( chatBrowser_, SIGNAL( linkClicked(const QString&) ), this, SLOT( urlClicked(const QString&) ) );

    // tab order
    setTabOrder( messageEdit_, sendButton_ );
    setTabOrder( sendButton_, newLineButton_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ChatViewInterface::~ChatViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ChatViewInterface::languageChange()
{
    sendButton_->setText( tr2i18n( "Sen&d" ) );
    newLineButton_->setText( tr2i18n( "New Line" ) );
    newLineButton_->setAccel( QKeySequence( tr2i18n( "Ctrl+Return" ) ) );
    typingLabel_->setText( QString::null );
}

void ChatViewInterface::enterPressed()
{
    qWarning( "ChatViewInterface::enterPressed(): Not implemented yet" );
}

void ChatViewInterface::sendClicked()
{
    qWarning( "ChatViewInterface::sendClicked(): Not implemented yet" );
}

void ChatViewInterface::newLineClicked()
{
    qWarning( "ChatViewInterface::newLineClicked(): Not implemented yet" );
}

void ChatViewInterface::messageTextChanged()
{
    qWarning( "ChatViewInterface::messageTextChanged(): Not implemented yet" );
}

void ChatViewInterface::urlClicked(const QString&)
{
    qWarning( "ChatViewInterface::urlClicked(const QString&): Not implemented yet" );
}

#include "chatviewinterface.moc"
