#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kmessviewinterface.ui'
**
** Created: Mon May 1 06:34:07 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kmessviewinterface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <ksqueezedtextlabel.h>
#include <qframe.h>
#include <kurllabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "ksqueezedtextlabel.h"
#include "kurllabel.h"
#include "klistview.h"

/*
 *  Constructs a KMessViewInterface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KMessViewInterface::KMessViewInterface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KMessViewInterface" );
    KMessViewInterfaceLayout = new QVBoxLayout( this, 0, 0, "KMessViewInterfaceLayout"); 

    statusLayout_ = new QHBoxLayout( 0, 4, 2, "statusLayout_"); 

    onlineStatusPixmapLabel_ = new QLabel( this, "onlineStatusPixmapLabel_" );
    onlineStatusPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, onlineStatusPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    onlineStatusPixmapLabel_->setMinimumSize( QSize( 16, 16 ) );
    onlineStatusPixmapLabel_->setMaximumSize( QSize( 16, 16 ) );
    onlineStatusPixmapLabel_->setMargin( 1 );
    onlineStatusPixmapLabel_->setScaledContents( TRUE );
    statusLayout_->addWidget( onlineStatusPixmapLabel_ );

    onlineStatusLabel_ = new KSqueezedTextLabel( this, "onlineStatusLabel_" );
    statusLayout_->addWidget( onlineStatusLabel_ );
    KMessViewInterfaceLayout->addLayout( statusLayout_ );

    emailFrame_ = new QFrame( this, "emailFrame_" );
    emailFrame_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)4, 0, 0, emailFrame_->sizePolicy().hasHeightForWidth() ) );
    emailFrame_->setLineWidth( 0 );
    emailFrame_Layout = new QHBoxLayout( emailFrame_, 4, 2, "emailFrame_Layout"); 

    emailPixmapLabel_ = new QLabel( emailFrame_, "emailPixmapLabel_" );
    emailPixmapLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)4, 0, 0, emailPixmapLabel_->sizePolicy().hasHeightForWidth() ) );
    emailPixmapLabel_->setMinimumSize( QSize( 16, 16 ) );
    emailPixmapLabel_->setMaximumSize( QSize( 16, 16 ) );
    emailPixmapLabel_->setMargin( 1 );
    emailPixmapLabel_->setScaledContents( TRUE );
    emailFrame_Layout->addWidget( emailPixmapLabel_ );

    emailLabel_ = new KURLLabel( emailFrame_, "emailLabel_" );
    emailLabel_->setEnabled( TRUE );
    emailLabel_->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, emailLabel_->sizePolicy().hasHeightForWidth() ) );
    emailFrame_Layout->addWidget( emailLabel_ );
    KMessViewInterfaceLayout->addWidget( emailFrame_ );

    contactListView_ = new KListView( this, "contactListView_" );
    contactListView_->addColumn( QString::null );
    contactListView_->setFullWidth( TRUE );
    KMessViewInterfaceLayout->addWidget( contactListView_ );
    languageChange();
    resize( QSize(408, 447).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( contactListView_, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( slotItemExecuted(QListViewItem*) ) );
    connect( contactListView_, SIGNAL( contextMenuRequested(QListViewItem*,const QPoint&,int) ), this, SLOT( slotContextMenu(QListViewItem*,const QPoint&,int) ) );
    connect( contactListView_, SIGNAL( clicked(QListViewItem*) ), this, SLOT( slotItemClicked(QListViewItem*) ) );
    connect( emailLabel_, SIGNAL( leftClickedURL() ), this, SLOT( slotEmailLabelClicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMessViewInterface::~KMessViewInterface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMessViewInterface::languageChange()
{
    contactListView_->header()->setLabel( 0, QString::null );
}

void KMessViewInterface::slotItemExecuted(QListViewItem*)
{
    qWarning( "KMessViewInterface::slotItemExecuted(QListViewItem*): Not implemented yet" );
}

void KMessViewInterface::slotContextMenu(QListViewItem*,const QPoint&,int)
{
    qWarning( "KMessViewInterface::slotContextMenu(QListViewItem*,const QPoint&,int): Not implemented yet" );
}

void KMessViewInterface::slotItemClicked(QListViewItem*)
{
    qWarning( "KMessViewInterface::slotItemClicked(QListViewItem*): Not implemented yet" );
}

void KMessViewInterface::slotEmailLabelClicked()
{
    qWarning( "KMessViewInterface::slotEmailLabelClicked(): Not implemented yet" );
}

#include "kmessviewinterface.moc"
