#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './alertswidget.ui'
**
** Created: Mon May 1 06:33:56 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "alertswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AlertsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AlertsWidget::AlertsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AlertsWidget" );
    AlertsWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "AlertsWidgetLayout"); 

    layout24 = new QVBoxLayout( 0, 0, 6, "layout24"); 

    useIdleTimerCheckBox_ = new QCheckBox( this, "useIdleTimerCheckBox_" );
    layout24->addWidget( useIdleTimerCheckBox_ );

    layout22 = new QHBoxLayout( 0, 0, 6, "layout22"); 

    textLabel3 = new QLabel( this, "textLabel3" );
    textLabel3->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout22->addWidget( textLabel3 );

    idleTimeSpinBox_ = new QSpinBox( this, "idleTimeSpinBox_" );
    layout22->addWidget( idleTimeSpinBox_ );

    textLabel4 = new QLabel( this, "textLabel4" );
    layout22->addWidget( textLabel4 );
    spacer17 = new QSpacerItem( 71, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout22->addItem( spacer17 );
    layout24->addLayout( layout22 );
    spacer6 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Preferred );
    layout24->addItem( spacer6 );

    useNotifierCheckBox_ = new QCheckBox( this, "useNotifierCheckBox_" );
    layout24->addWidget( useNotifierCheckBox_ );

    layout23 = new QHBoxLayout( 0, 0, 6, "layout23"); 

    textLabel5 = new QLabel( this, "textLabel5" );
    textLabel5->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout23->addWidget( textLabel5 );

    notificationDurationSpinBox_ = new QSpinBox( this, "notificationDurationSpinBox_" );
    layout23->addWidget( notificationDurationSpinBox_ );

    textLabel6 = new QLabel( this, "textLabel6" );
    layout23->addWidget( textLabel6 );
    spacer16 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout23->addItem( spacer16 );
    layout24->addLayout( layout23 );
    spacer6_2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Preferred );
    layout24->addItem( spacer6_2 );

    showOfflineNotificationsCheckBox_ = new QCheckBox( this, "showOfflineNotificationsCheckBox_" );
    layout24->addWidget( showOfflineNotificationsCheckBox_ );
    spacer6_2_2 = new QSpacerItem( 16, 16, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding );
    layout24->addItem( spacer6_2_2 );

    AlertsWidgetLayout->addLayout( layout24, 0, 0 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( useIdleTimerCheckBox_, idleTimeSpinBox_ );
    setTabOrder( idleTimeSpinBox_, useNotifierCheckBox_ );
    setTabOrder( useNotifierCheckBox_, notificationDurationSpinBox_ );
    setTabOrder( notificationDurationSpinBox_, showOfflineNotificationsCheckBox_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AlertsWidget::~AlertsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AlertsWidget::languageChange()
{
    setCaption( tr2i18n( "Alerts" ) );
    useIdleTimerCheckBox_->setText( tr2i18n( "Change status to \"Away-Idle\" when inactive" ) );
    textLabel3->setText( tr2i18n( "Become idle after" ) );
    textLabel4->setText( tr2i18n( "minutes" ) );
    useNotifierCheckBox_->setText( tr2i18n( "Show popup notifications for program events" ) );
    textLabel5->setText( tr2i18n( "Hide popups after" ) );
    textLabel6->setText( tr2i18n( "seconds" ) );
    showOfflineNotificationsCheckBox_->setText( tr2i18n( "Show notifications when contacts go offline" ) );
}

#include "alertswidget.moc"
